/* 
 * Glippy
 * Copyright © 2010 Wojciech Kowalczyk
 * The program is distributed under the terms of the GNU General Public License Version 3.
 * See LICENCE for details.
 */
namespace Glippy
{
	using System.Reflection;
	
	/// <summary>
	/// Class which creates standard GTK About window. Nothing unusual.
	/// </summary>
	public static class GlippyAbout
	{		
		public static void Show()
		{			
			Gtk.AboutDialog about = new Gtk.AboutDialog();						
			Assembly asm = Assembly.GetExecutingAssembly ();
			Gdk.Pixbuf icon = null;			
			try
			{				
				icon = new Gdk.Pixbuf(System.AppDomain.CurrentDomain.BaseDirectory + @"/../../share/icons/hicolor/scalable/apps/glippy.svg");				
			}
			catch (System.Exception ex)
			{
				System.Console.WriteLine(ex.Message);
			}
			about.ProgramName = asm.GetName().Name.ToString ();
			about.Version = asm.GetName ().Version.ToString ();		
			about.Comments = (asm.GetCustomAttributes (typeof (AssemblyDescriptionAttribute), false) [0] as AssemblyDescriptionAttribute).Description;
			about.Copyright = (asm.GetCustomAttributes (typeof (AssemblyCopyrightAttribute), false) [0]	as AssemblyCopyrightAttribute).Copyright;
			about.Website = @"https://launchpad.net/glippy";
			about.Authors = authors;
			about.Artists = artists;	
			about.License = license;		
			about.Icon = icon;			
			about.Logo = icon;			
			about.Run();
			if (icon != null)
				icon.Dispose();
			about.Destroy();
			about.Dispose();			
		}
		
		private static string[] authors = new string[] { "Wojciech Kowalczyk <bikooo@gmail.com>" };
		private static string[] artists = new string[] { "Paweł Kolankowski <paool.k@gmail.com>" };		
		private static string license =
		@"
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.";			
	}	
}
