/* 
 * Glippy
 * Copyright © 2010 Wojciech Kowalczyk
 * The program is distributed under the terms of the GNU General Public License Version 3.
 * See LICENCE for details.
 */
namespace Glippy
{
	using Gtk;
	
	/// <summary>
	/// Inherits GlippyCore: creates icon in notification area.
	/// </summary>
	public class GlippyTray : GlippyCore
	{
		private StatusIcon _Tray;
		
		// Creates status icon and adds click event
		public GlippyTray() : base()
		{
			_Tray = new StatusIcon();
			_Tray.IconName = "glippy-panel";
			_Tray.Activate += ShowMenu;								
			#if DEBUG
				System.Console.WriteLine("Tray running fine.");
			#endif
		}
					
		// Sets tooltip to current clipboard's content
		protected override void OnChange (object sender, ChangedArgs e)
		{			
			if (_GClip.StoredItems.Count > 0)
			{
				#if DEBUG
					System.Console.WriteLine("Changing tooltip text to \"{0}\".", _GClip.StoredItems[0].Text);
				#endif
				_Tray.Tooltip = _GClip.StoredItems[0].Text;
			}
		}
	}
}
